php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #52026 Update SQLite bundled with PHP 5.2.x
Submitted: 2010-06-09 07:02 UTC Modified: 2010-06-30 13:25 UTC
From: gmtfn at yahoo dot com Assigned: iliaa (profile)
Status: Wont fix Package: PDO related
PHP Version: 5.2.13 OS:
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2010-06-09 07:02 UTC] gmtfn at yahoo dot com
Description:
------------
PHP 5.2.13, which is the latest version of 5.2.x branch, bundles a version of SQLite that is almost 3 years old. Please update it! Hosting providers are reluctant to provide PHP 5.3, which supplies a newer version of SQLite.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2010-06-09 11:20 UTC] kalle@php.net
-Status: Open +Status: Assigned -Assigned To: +Assigned To: iliaa
 [2010-06-09 11:20 UTC] kalle@php.net
Hi Ilia, as the RM for 5.2, could please decide whether 5.2 should be updated or not :)
 [2010-06-09 12:20 UTC] johannes@php.net
-Status: Assigned +Status: Bogus
 [2010-06-09 12:20 UTC] johannes@php.net
Note that we're bundling two sqlite libraries. ext/sqlite bundles 2.8.17 which can't be updated (as SQLite 2 isn't supported upstream anymore). ext/pdo_sqlite bundles 3.3.7 which indeed might deserve an update. The addition of the native sqlite3 extension in 5.3 made it divert.
 [2010-06-09 12:22 UTC] johannes@php.net
-Status: Bogus +Status: Assigned
 [2010-06-09 12:22 UTC] johannes@php.net
Eh didn't mean to bogus it ...
 [2010-06-09 12:39 UTC] gmtfn at yahoo dot com
Yes, I meant pdo_sqlite.

Where can I read about native sqlite3 extension in 5.3 and, particularly, its benefits and drawbacks compared to pdo_sqlite?
 [2010-06-30 13:25 UTC] iliaa@php.net
-Status: Assigned +Status: Wont fix
 [2010-06-30 13:25 UTC] iliaa@php.net
The sqlite 3.3 library used in 5.2 is not binary compatible with the 3.6 version 
that is now considered to be stable, doing an upgrade in a bug-fix release that 
may break BC could create a substantial WTF factor.

Many distros build sqlite against an external lib, so upgrading that lib would be 
the solution.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Wed Apr 24 06:01:27 2019 UTC